RIFFHeader Struct Reference

RIFF 44-byte header structure for MS wav files. More...

## Data Fields

char | rifftag [4]
int32 | TotalLength
char | wavefmttag [8]
int32 | RemainingLength
int16 | data_format
int16 | numchannels
int32 | SamplingFreq
int32 | BytesPerSec
int16 | BlockAlign
int16 | BitsPerSample
char | datatag [4]
int32 | datalength

## Detailed Description

RIFF 44-byte header structure for MS wav files.

Definition at line 98 of file sphinx_fe.c.

The documentation for this struct was generated from the following file:

- src/sphinx_fe/sphinx_fe.c